libglom-1.32 1.32.0

Public Member Functions | Public Attributes | List of all members
Glom::Privileges Class Reference

## Public Member Functions
| Privileges ()
| Privileges (const Privileges& src)=default
| Privileges (Privileges&& src)=default
Privileges& | operator= (const Privileges& src)=default
Privileges& | operator= (Privileges&& src)=default
bool | operator== (const Privileges& src) const

## Public Attributes
bool | m_view
bool | m_edit
bool | m_create
bool | m_delete

## Constructor & Destructor Documentation

## ◆ Privileges() [1/3]

Glom::Privileges::Privileges | ( |  | ) |

## ◆ Privileges() [2/3]

Glom::Privileges::Privileges | ( | const Privileges& | src | ) |
| default

## ◆ Privileges() [3/3]

Glom::Privileges::Privileges | ( | Privileges&& | src | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

Privileges& Glom::Privileges::operator= | ( | const Privileges& | src | ) |
| default

## ◆ operator=() [2/2]

Privileges& Glom::Privileges::operator= | ( | Privileges&& | src | ) |
| default

## ◆ operator==()

bool Glom::Privileges::operator== | ( | const Privileges& | src | ) | const

## Member Data Documentation

## ◆ m_create

bool Glom::Privileges::m_create

## ◆ m_delete

bool Glom::Privileges::m_delete

## ◆ m_edit

bool Glom::Privileges::m_edit

## ◆ m_view

bool Glom::Privileges::m_view

The documentation for this class was generated from the following file:

- libglom/data_structure/privileges.h